#!/usr/bin/perl -w
use strict;
use DBI;
use CGI qw(:standard);

#Ebbie: by H Alexander Ebhardt
#DISTRUBUTION UNDER GNU General Public License
#READ http://bioinformatics.org/ebbie/gnu.txt

require '/projects/home/aebhardt/ebbie/lib/blast.lib';
require '/projects/home/aebhardt/ebbie/lib/html.lib';
require '/projects/home/aebhardt/ebbie/lib/mysql.lib';
require '/projects/home/aebhardt/ebbie/lib/anal.lib';

my ($countsql);

my $mysqldb     = param('mysqldb');
my $id          = param('id');
my $sort        = $id;
my $class       = param('classnew');
my $addclass    = param('addclass');
my $description = param('annotationnew');
my $ori         = param('orientation');

html_start();    #/lib/html
if ($ori) {

	#Blastfile add onto
	blastadd( $id, $class, $mysqldb );    #lib/blast

	#Mysql update entry
	update_ori( $mysqldb, $ori, $id );    #/lib/mysql
}

if ($addclass) {
	pulldown($addclass, $mysqldb );                  #/lib/anal
	blastupdate( $id, $addclass, $mysqldb );    #/lib/blast
	update_class( $mysqldb, $addclass, $id );   #/lib/mysql
}

if ($class) {
	blastupdate( $id, $class, $mysqldb );
	update_class( $mysqldb, $class, $id );      #/lib/mysql
}

if ($description) {
	update_descr( $mysqldb, $description, $id );    #/lib/mysql
}

sqltable( $mysqldb, $sort, $id );                   #/lib/mysql

$countsql = sqlebbiech($mysqldb);

if ( $countsql > 0 ) {
	table_start();                                  #/lib/html
	print
"<HR><FORM ACTION='http://bioinformatics.org/ebbie/cgi-bin/ebbie2.cgi' 
METHOD=post>";

	#/lib/mysql calls all entries with NULL orientation
	sqlebbie($mysqldb);
	print
"<BR><I>Please select one of the RNA inserts from the above pull down menu.</I>";

	#/lib/blast: provides checklist for BlastN searches
	blastcheck();

	#/lib/mysql: provides checklist for MySQL databases
	mysqldb($mysqldb);
	print "<P><INPUT TYPE='submit' VALUE='Ebbie - sequence analysis'></FORM>";
	table_end();    #/lib/html
	exit(0);
}
else {
	table_start();    #/lib/html
	print "<TR><TD colspan='2'><HR>";
	frontp($mysqldb);    #/lib/html calls index.cgi
	print "<HR><H3 STYLE='color: rgb(0, 0, 153); margin-left: 40px;'>";
	print "Database Management Tool: Annotation Change</H3><TR><TD>";
	anno($mysqldb);      #/lib/html
	print "<TD>";
	annoid($mysqldb);    #/lib/html
	table_end();         #/lib/html
}
print "</BODY></HTML>";
exit(0);
