#!/usr/bin/perl -w
use strict;
use DBI;
use CGI qw(:standard);
#Ebbie: by H Alexander Ebhardt
#DISTRUBUTION UNDER GNU General Public License
#READ http://bioinformatics.org/ebbie/gnu.txt

require '/projects/home/aebhardt/ebbie/lib/blast.lib';
require '/projects/home/aebhardt/ebbie/lib/html.lib';
require '/projects/home/aebhardt/ebbie/lib/mysql.lib';
require '/projects/home/aebhardt/ebbie/lib/anal.lib';

my ($base, $sort, $three, $five, $mysqldb, $class, $description, $id);

# count number of ACGT and compare it to the total number of characters
# if count the same, ok
# if count differs, NOT OK go back

#take input from text field, remove white spaces, capitalize ACGT
$three = param('three');
$three =~ s/\s//g;
$three =~ tr/acgt/ACGT/;
$five = param('five');
$five =~ s/\s//g;
$five =~ tr/acgt/ACGT/;

html_start(); #/lib/html

$mysqldb = param('mysqldb');

if ($mysqldb eq '') {
print "<P><B>No database selected.";
print "<BR>Please return to the <a 
href='http://bioinformatics.org/ebbie'>front page</a> and make a 
selection"; table_end(); #/lib/html
print "</BODY></HTML>";
exit (0);
}

if ($three) {
#checks if there is anything else than ACGT
my $err = 0;
while ($three =~ /[^ACGT]/ig) {
		$err++;
	}

        if ($err > 0)  {
                print "<P><B>Only ACGT are valid characters for 5'- and 3'-cloning primers (5-CP, 3-CP).</B></P>";
                frontp($mysqldb); #/lib/html
                print "</BODY></HTML>";
                exit (0);
        }

	$description = $three;
	$id = 'DDRFDJ3';
	update_pr($mysqldb, $description, $id); #lib/mysql
}

if ($five) {
#checks if there is anything else than ACGT
my $err = 0;
while ($five =~ /[^ACGT]/ig) {
		$err++;
		}
        if ($err > 0) {
                print "<P><B>Only ACGT are valid characters for 5'- and 3'-cloning primers (5-CP, 3-CP).</B></P>";
                frontp($mysqldb); #/lib/html
                print "</BODY></HTML>";
                exit (0);
        }

	$description = $five;
	$id = 'DDRFDJ5'; 
	update_pr($mysqldb, $description, $id); #lib/mysql
}

table_start(); #/lib/html
print "<HR><H3 STYLE='color: rgb(0, 0, 153); margin-left: 40px;'>Before you start:</H3>";
print "<B>Your current cloning primers for database $mysqldb are recorded as:</B><BR>";
primers($mysqldb); #/lib/anal
print "<P><B>If you want to change the current recorded primers, please do so here:</B>";
primerupdate($mysqldb); #/lib/html
print "<HR><TR><TD><H3 STYLE='color: rgb(0, 0, 153); margin-left: 40px;'>Sequence Analysis:</H3>";
ebbie($mysqldb); #/lib/html.lib
print "<TD>";
logbook($mysqldb); #lib/html.lib
print "<TR><TD colspan='2'><HR>";
print <<EOF;
<TR><TD colspan='2'><H3 STYLE='color: rgb(0, 0, 153); margin-left: 40px;'>
Database Management Tool: Annotation Change.</H3>
By entering the MySQL number of a small RNA, the current entry is retrieved and two annotation field can be
altered: group and annotation. Primary sequence information cannot be altered.
<TR><TD>
EOF
anno($mysqldb); #/lib/html.lib retrieves no
print "<TD>";
annoid($mysqldb); #lib/html.lib/annoid: retrieves id
print "<TR><TD colspan='2'><HR>";
print "<TR><TD colspan='2'><H3 STYLE='color: rgb(0, 0, 153); margin-left: 40px;'>Database Management Tool: View 
All and Lost & Found.</H3><TR><TD>";
viewall($mysqldb,$sort); #/lib/html.lib
print "<TD>";
lostfound($mysqldb,$sort); #/lib/html.lib
table_end(); #/lib/html
print "</BODY></HTML>";
exit (0);
